package com.qzy.web.servlet;

import com.qzy.commons.Constans;
import com.qzy.exception.UsersnotFound;
import com.qzy.pojo.Users;
import com.qzy.service.UserLoginService;
import com.qzy.service.impl.UserLoginServiceImpl;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebFilter;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

@WebServlet("/login.do")
public class UserLoginServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,IOException  {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException,IOException  {
       String username = req.getParameter("username");
       String userpwd = req.getParameter("userpwd");
       try{
           UserLoginService userLoginService = new UserLoginServiceImpl();
           Users users = userLoginService.userLogin(username, userpwd);
           //建立客户端与服务端的会话状态
           HttpSession session = req.getSession();
           session.setAttribute(Constans.USERR_SEESSION_KEY,users);
           //使用重定向方式跳转首页
           resp.sendRedirect("main.jsp");
       }catch(UsersnotFound e){
           req.setAttribute("msg",e.getMessage());
           req.getRequestDispatcher("login.jsp").forward(req,resp);
       }catch (Exception e){
           resp.sendRedirect("error.jsp");

       }
  }
}
